Subject: Re: [PATCH 4alt/4] attr: drop DEBUG_ATTR code

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Oct 2022 11:52:42 -0700

Derrick Stolee <[email-masked]> writes:

>> I highly suspect that I was the one who bothered, and while I admit
>> it was useful while developing the attribute subsystem, I haven't
>> needed it for the past 10 or so years.
>> 
>> So unless there are some folks who want to throw everything into the
>> trace2 floodstream, I would prefer this alternative over the other
>> one.
>
> Are you implying that you want to use the second version, that
> deletes the information entirely? I'm leaning towards deleting
> it.

Sorry if I were not clear, but I would vote for using 4alt/4 and
remove debugging code.  Unless there are folks who want to keep it,
in which case I think trace2 is fine and I won't insist on removing
what those folks, if any, want to keep.  Between trace and trace2,
I do not have a strong opinion but if we were adding something new,
we would be adding to the latter?

> If not, and we should keep using traces, I do notice that the
> original version of the patch uses trace_printf_key() instead
> of a trace2 method. I think this is fine, too, since it's
> likely only to be used by Git developers, who could look for
> which type of trace to use.
>
> Thanks,
> -Stolee